Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
kyototycoon::PluggableServer Class Reference

Interface of pluggable server abstraction. More...

`#include <ktplugserv.h>`

List of all members.

## Public Member Functions
virtual | ~PluggableServer ()
| Destructor.
virtual void | configure (TimedDB *dbary, size_t dbnum, ThreadedServer::Logger *logger, uint32_t logkinds, const char *expr)=0
| Configure server settings.
virtual bool | start ()=0
| Start the service.
virtual bool | stop ()=0
| Stop the service.
virtual bool | finish ()=0
| Finish the service.

## Detailed Description

Interface of pluggable server abstraction.

## Constructor & Destructor Documentation

virtual kyototycoon::PluggableServer::~PluggableServer | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void kyototycoon::PluggableServer::configure | ( | TimedDB * | dbary,
|  | size_t | dbnum,
|  | ThreadedServer::Logger * | logger,
|  | uint32_t | logkinds,
|  | const char * | expr
| ) |  | `[pure virtual]`

Configure server settings.

Parameters:

  dbary | an array of the database objects.
  dbnum | the number of the database objects.
  logger | the logger object.
  logkinds | kinds of logged messages by bitwise-or: Logger::DEBUG for debugging, Logger::INFO for normal information, Logger::SYSTEM for system information, and Logger::ERROR for fatal error.
  expr | an expression given in the command line.

virtual bool kyototycoon::PluggableServer::start | ( |  | ) | `[pure virtual]`

Start the service.

Returns:
  true on success, or false on failure.

virtual bool kyototycoon::PluggableServer::stop | ( |  | ) | `[pure virtual]`

Stop the service.

Returns:
  true on success, or false on failure.

virtual bool kyototycoon::PluggableServer::finish | ( |  | ) | `[pure virtual]`

Finish the service.

Returns:
  true on success, or false on failure.